\title{Game Design}
\author{
         Xiaochun Xing\\ 
         Xie Xiaolei
}
\date{\today}

%\documentclass[12pt]{article}
%\documentclass[a4paper, twoside]{report}
\documentclass[a4paper, twoside]{article}
\usepackage[pdftex, bookmarks=true]{hyperref}

\begin{document}
\maketitle
%\tableofcontents

\section{Overview}
Simply put, this is a real-time strategy game. But unlike most other
games of this kind where a player is like a god that controls workers,
fighters and the like to driver the game into a winning situation, in
our game, the players are the workers and the workers themselves,
whereas the strategy is implemented through each individual's own
choices and their collaborations.

The game involves multiple players participating in the game with
their mobile phones as well as game servers that have access to each
network cell's user information.

\section{Players}
A player uses a mobile phone to participate in the game. The mobile
phone doesn't have to be equipped with a GPS device, but there are
more gaming possibilities if it is equipped with one.

As a player enters the game, it notifies the local server with its
player ID and its location. The location could be configured to be
provided by a GPS device that moves with the player, or just any
address where the player wishes to place itself in the game.

In addition, the player may upload a message to broadcast to other
players, or players with specified tags (see below), in the cell.

A local server is associated with each network cell. It is responsible
for keeping track of users located in the cell, as well as users who
want to be virtually placed in the cell.

Then the server sends the information about other players in the cell
to the new player. For every other player, let's call it X, the
information includes:
\begin{enumerate}
\item X's player ID;
\item X's location, real or virtual;
\item A tag associated with X. X and Y may attack each other only if
they have different tags. The game's client end software allows
players to specify how to react when other players with predefined
tags show up in its vicinity.
\item A very short broadcast message uploaded by X.
\end{enumerate}

This exchange of information between a player and its local server
occurs not only once but periodically as long as the player stays in
the game.

Once a player is updated about other players in its vicinity, it may
choose to attack them, if they have different tags, or cure them if
they are wounded, or exchange items, such as weapons, armors,
etc. These operations are described in more details in
sections \ref{sec-attack}.

The player may also choose not to engage with other players but rather
go on with its own course. It may wander about in the game scene and
pick up items, such as weapons, medicines, etc. For example, by
staying close to a hospital (yes, a hospital in real life), the player
has its wound cured faster, or by staying close to a restaurant, it
has its strength boosted.

\subsection{Attack} \label{sec-attack}
When a player chooses to attack another player, which maybe signaled
by pressing multiple keys, or tipping the spot on the touch screen
indicating the victim player, depending on the specific mobile phone,
the client end software sends the information describing the attack to
the local server. The local server then carries out the attack and
notifies the victim about the attack, whose effect will continue to
add up until it is stopped. In the meanwhile, the victim or its
friends may also take counter-actions to mitigate the effect, such as
curing the victim.

\section{Game Display}
The scene of the game will be drawn on top of google map, or google
street view, depending on the availability of the services in the
gaming area, on the capabilities of the player's mobile phone, and on
the choice of the player.
\end{document}
